GH-PR-LIST(1)

NAME

gh-pr-list - List pull requests in a repository

SYNOPSIS

gh pr list [flags]

DESCRIPTION

List pull requests in a GitHub repository.

The search query syntax is documented here: https://docs.github.com/en/search-github/searching-on-github/searching-issues-and-pull-requests ⟨https://docs.github.com/en/search-github/searching-on-github/searching-issues-and-pull-requests⟩

OPTIONS

--app <string>
    Filter by GitHub App author

-a, --assignee <string>
    Filter by assignee

-A, --author <string>
    Filter by author

-B, --base <string>
    Filter by base branch

-d, --draft
    Filter by draft state

-H, --head <string>
    Filter by head branch

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-l, --label <strings>
    Filter by label

-L, --limit <int>
    Maximum number of items to fetch

-S, --search <query>
    Search pull requests with query

-s, --state <string>
    Filter by state: {open|closed|merged|all}

-t, --template <string>
    Format JSON output using a Go template

-w, --web
    List pull requests in the web browser

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    List PRs authored by you
    $ gh pr list --author "@me"
    List only PRs with all of the given labels
    $ gh pr list --label bug --label "priority 1"
    Filter PRs using search syntax
    $ gh pr list --search "status:success review:required"
    Find a PR that introduced a given commit
    $ gh pr list --search "<SHA>" --state merged

SEE ALSO

gh-pr(1)